
<header class="topbar" ng-if="latestNotificationsList.length > 0" >
    <h3 class="header-title">{{'My Requests' | translate}}</h3><a class="header-icon" ui-sref="dashboard" ></a>
</header>

<div class="tabs-wrapper myrequestTabs"  style="z-index:2">
    <button class="tablinks " ng-class="{'active': isActive == 'active'}" ng-click="filterRequestByStatus('active')">{{ 'Active' | translate }}</button>
    <button class="tablinks" ng-class="{'active': isActive == 'resolved'}" ng-click="filterRequestByStatus('resolved')">{{ 'Resolved' | translate }}</button>

</div>
<div class="filterInput mt-3 mb-3 myrequest-filter" style="z-index:1">
    <input id="requestSearch" class="hero-input hero-inputSearch warmGrey"
           type="text" placeholder="{{ 'SearchByReqNber' | translate }}" name="search" ng-model="searchText">
</div>
<div class="page">

    <div ng-if="latestNotificationsList.length > 0" class="main has-navbar">
        <div class="main-content requests-content" id="my-requests">
            <!--todo fix integration of input search with hamdi-->
            <div class="request-page">
                <div class="requests-list">

                    <a class="request-item" ng-click="sendRequest(request)"
                       ng-repeat="request in latestNotificationsListFiltered | searchByTransactionNumber:searchText track by $index | filter:request.RequestStatus.toUpperCase() !== 'REJECTED'">

                        <div class="request-icon">
                            <img src="assets/img3.0/i-services-orange.png" alt="services">
                        </div>
                        <div class="request-body">
                            <h3 class="request-title">{{currentLang == 'en' ? request.service_title_en :
                                request.service_title_ar}}</h3>
                            <div class="text-holder" style="color: inherit">
                                <span ng-if="request.RequestStatus == 'Closed' || request.RequestStatus == 'Approved' "
                                      class="text">{{'REQUEST STATUS' | translate}} : <span class='bolder'>{{currentLang == 'en' ? request.ServiceENHighlightedView : request.ServiceARHighlightedView}}</span></span>
                                <span ng-if="request.RequestStatus != 'Closed' && request.RequestStatus != 'Approved' "
                                      class="text">{{'REQUEST STATUS' | translate}} : <span class='bolder'>{{currentLang == 'en' ? request.ServiceENHighlighted : request.ServiceARHighlighted}}</span></span>
                                <span class="text" ng-if="isActive != 'resolved'">{{'Est completion time' | translate}} : <span
                                        class='bolder'>{{ request.SLA }} {{'working days' | translate}}</span></span>
                            </div>
                        </div>
                        <span class="request-date">{{ request.RequestCreatedDate }}</span>

                    </a>

                </div>


            </div>
        </div>
    </div>
    <div ng-if="latestNotificationsList.length == 0 && ready == true" class="main fullHeight grBlueWhite">
        <div class="main-content location-bg text-center">
            <div class="icon-holder skyBlue pin-bar mb-5 circleGrow">
                <img src="assets/img3.0/locations/locations.png">
            </div>
            <span class="fz21-B p-0">{{ 'You currently don’t have any' | translate }}<br> <strong>{{ 'Requests' | translate }}</strong> </span>
            <br><br>
            <a class="btn btn--goto btn--blue fz17-B uppercase" ui-sref="dashboard">{{ 'Explore service catalogue' |
                translate }}</a>
        </div>
    </div>

</div>
</div>
